javax.ejb

## Class EJBException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ejb.EJBException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AccessLocalException, ConcurrentAccessException, EJBAccessException, EJBTransactionRequiredException, EJBTransactionRolledbackException, NoMoreTimeoutsException, NoSuchEJBException, NoSuchEntityException, NoSuchObjectLocalException, TransactionRequiredLocalException, TransactionRolledbackLocalException

      public class EJBException
      extends RuntimeException

  The EJBException is thrown to report that the invoked business method or callback method could not be completed because of an unexpected error (e.g. the instance failed to open a database connection).
  Since:
    EJB 1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EJBException()` Constructs an EJBException with no detail message.
    `EJBException(Exception ex)` Constructs an EJBException that embeds the originally thrown exception.
    `EJBException(String message)` Constructs an EJBException with the specified detailed message.
    `EJBException(String message, Exception ex)` Constructs an EJBException that embeds the originally thrown exception with the specified detail message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exception` | `getCausedByException()` Obtain the exception that caused the EJBException to be thrown.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EJBException

          public EJBException()

      Constructs an EJBException with no detail message.

    - #### EJBException

          public EJBException(String message)

      Constructs an EJBException with the specified detailed message.

    - #### EJBException

          public EJBException(Exception ex)

      Constructs an EJBException that embeds the originally thrown exception.

    - #### EJBException

          public EJBException(String message,
                      Exception ex)

      Constructs an EJBException that embeds the originally thrown exception with the specified detail message.

  - ### Method Detail

    - #### getCausedByException

          public Exception getCausedByException()

      Obtain the exception that caused the EJBException to be thrown. It is recommended that the inherited Throwable.getCause() method be used to retrieve the cause instead of this method.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.